com.jacob.com

## Class ComFailException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.jacob.com.JacobException
        - - com.jacob.com.ComException
          - - com.jacob.com.ComFailException

- All Implemented Interfaces:
    java.io.Serializable

      public class ComFailException
      extends ComException

  COM Fail Exception class raised when there is a problem
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.jacob.com.ComException

      `hr, m_helpContext, m_helpFile, m_source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ComFailException()` No argument Constructor
    `ComFailException(int hrNew)` Constructor
    `ComFailException(int hrNew, java.lang.String message)` Constructor
    `ComFailException(int hrNew, java.lang.String source, java.lang.String helpFile, int helpContext)`
    `ComFailException(int hrNew, java.lang.String description, java.lang.String source, java.lang.String helpFile, int helpContext)` Constructor
    `ComFailException(java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class com.jacob.com.ComException

      `getHelpContext, getHelpFile, getHResult, getSource`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComFailException

          public ComFailException(int hrNew)

      Constructor
      Parameters:
        `hrNew` -

    - #### ComFailException

          public ComFailException(int hrNew,
                                  java.lang.String message)

      Constructor
      Parameters:
        `hrNew` -
        `message` -

    - #### ComFailException

          public ComFailException(int hrNew,
                                  java.lang.String source,
                                  java.lang.String helpFile,
                                  int helpContext)

      Parameters:
        `hrNew` -
        `source` -
        `helpFile` -
        `helpContext` -

    - #### ComFailException

          public ComFailException(int hrNew,
                                  java.lang.String description,
                                  java.lang.String source,
                                  java.lang.String helpFile,
                                  int helpContext)

      Constructor
      Parameters:
        `hrNew` -
        `description` -
        `source` -
        `helpFile` -
        `helpContext` -

    - #### ComFailException

          public ComFailException()

      No argument Constructor

    - #### ComFailException

          public ComFailException(java.lang.String message)

      Parameters:
        `message` -

http://jacob-project.sourceforge.net